Page MenuHomePhabricator

flow: could not format data for row
Closed, ResolvedPublic

Description

I'm not sure if this is new but I'm seeing it in the logs:

==> /a/mw-log/exception.log <==
2015-05-11 15:54:41 mw1240 mediawikiwiki exception INFO: [b578076b] /wiki/Special:RecentChangesLinked/Talk:Flow   Flow\Exception\FlowException from line 40 of /srv/mediawiki/php-1.26wmf5/extensions/Flow/includes/Formatter/RecentChanges.php: Could not format data for row sgpuqfj4xkq8xxdo
#0 /srv/mediawiki/php-1.26wmf5/extensions/Flow/Hooks.php(335): Flow\Formatter\RecentChanges->format()
#1 /srv/mediawiki/php-1.26wmf5/extensions/Flow/Hooks.php(289): FlowHooks::processRecentChangesLine()
#2 /srv/mediawiki/php-1.26wmf5/includes/Hooks.php(209): FlowHooks::onOldChangesListRecentChangesLine()
#3 /srv/mediawiki/php-1.26wmf5/includes/changes/OldChangesList.php(58): Hooks::run()
#4 /srv/mediawiki/php-1.26wmf5/includes/specials/SpecialRecentchanges.php(352): OldChangesList->recentChangesLine()
#5 /srv/mediawiki/php-1.26wmf5/includes/specialpage/ChangesListSpecialPage.php(348): SpecialRecentChanges->outputChangesList()
#6 /srv/mediawiki/php-1.26wmf5/includes/specialpage/ChangesListSpecialPage.php(77): ChangesListSpecialPage->webOutput()
#7 /srv/mediawiki/php-1.26wmf5/includes/specials/SpecialRecentchanges.php(60): ChangesListSpecialPage->execute()
#8 /srv/mediawiki/php-1.26wmf5/includes/specialpage/SpecialPage.php(384): SpecialRecentChanges->execute()
#9 /srv/mediawiki/php-1.26wmf5/includes/specialpage/SpecialPageFactory.php(582): SpecialPage->run()
#10 /srv/mediawiki/php-1.26wmf5/includes/MediaWiki.php(285): SpecialPageFactory::executePath()
#11 /srv/mediawiki/php-1.26wmf5/includes/MediaWiki.php(583): MediaWiki->performRequest()
#12 /srv/mediawiki/php-1.26wmf5/includes/MediaWiki.php(432): MediaWiki->main()
#13 /srv/mediawiki/php-1.26wmf5/index.php(46): MediaWiki->run()
#14 /srv/mediawiki/w/index.php(3): include()
#15 {main} {"private":false}

Event Timeline

Manybubbles raised the priority of this task from to Needs Triage.
Manybubbles updated the task description. (Show Details)
Manybubbles added a subscriber: Manybubbles.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 11 2015, 3:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mattflaschen-WMF triaged this task as Unbreak Now! priority.May 12 2015, 4:59 AM

@matthiasmullie is there a patch to review?

Change 210860 had a related patch set uploaded (by Matthias Mullie):
Fix permission checks for recentchanges

https://gerrit.wikimedia.org/r/210860

"error: failed to push some refs to ..." - I hadn't noticed the patch hadn't gone out :)

Change 210860 merged by jenkins-bot:
Fix permission checks for recentchanges

https://gerrit.wikimedia.org/r/210860

I checked deployment-fluorine.eqiad.wmflabs /srv/mw-log/exception.log - does not have this error anymore.

DannyH closed this task as Resolved.May 18 2015, 5:07 PM
DannyH added a subscriber: DannyH.